Bug 1560625 (CVE-2018-1302) - CVE-2018-1302 httpd: Use-after-free on HTTP/2 stream shutdown
Summary: CVE-2018-1302 httpd: Use-after-free on HTTP/2 stream shutdown
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1302
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180321,reported=2...
Depends On: 1560626 1560627 1561569 1561570
Blocks: 1560402
TreeView+ depends on / blocked
 
Reported: 2018-03-26 15:24 UTC by Pedro Sampaio
Modified: 2019-06-10 10:18 UTC (History)
29 users (show)

Fixed In Version: httpd 2.4.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:18:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0366 None None None 2019-02-18 16:55:44 UTC
Red Hat Product Errata RHSA-2019:0367 None None None 2019-02-18 16:58:25 UTC

Description Pedro Sampaio 2018-03-26 15:24:40 UTC
When an HTTP/2 stream was destroyed after being handled, the Apache HTTP Server
prior to version 2.4.30 could have written a NULL pointer potentially to an
already freed memory. The memory pools maintained by the server make this
vulnerabilty hard to trigger in usual configurations, the reporter and the team
could not reproduce it outside debug builds, so it is classified as low risk.

Versions Affected:
httpd 2.4.17 to 2.4.29

External references:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Pedro Sampaio 2018-03-26 15:25:31 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1560627]

Comment 3 Pedro Sampaio 2018-03-28 14:36:09 UTC
Created mod_http2 tracking bugs for this issue:

Affects: fedora-all [bug 1561570]

Comment 11 errata-xmlrpc 2019-02-18 16:55:42 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 12 errata-xmlrpc 2019-02-18 16:58:24 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367


Note You need to log in before you can comment on or make changes to this bug.